#Include "Ninfa3d.bi"

dim Shared camera As nCAMERA
Dim tex01 As nTEXTURE

'Enable vertical synch.
EnableVsync()

'Starts the Ninfa3D Engine
InitEngine(640,480,32,0)
	BackGroundColor(128,128,128)'Background Color
	AmbientLight(64,64,64)'Ambient color
		
'Include the file "SampleFuntions.bi.
'It contains useful features, such as drawing the interface and create the test area.
#Include "SampleFunctions.bi"

'Create a camera
camera = CreateCamera()

tex01 = LoadTexture("media\logofinal.png")

Dim i As single

While(EngineRun)'Returns 1 if the engine is running.

	'Begins scene
	BeginScene()
	
	'By pressing the "ESCAPE" closes the engine.
	If KeyHit(KEY_ESCAPE) Then CloseEngine()
			
	'Update the Engine.
	'Changing the value (only affects the physics) that will update the
	'Physical faster or slower.
	UpdateEngine(0)

	Transparency(255)'Level of transparency

	'Red color
	Colors(255,0,0)' Change the color
	Image(tex01,16,280)' Draw the image

	'Green color
	Colors(0,255,0)
	Image(tex01,16,152)
   
	
	'Blue color
	Colors(0,0,255)
	Image(tex01,372,152)
	
	' Multi-color ;-)
	i = i + 1.5
	If i>255 Then i = 0

	Colors(i,i,i)
	Image(tex01,372,280)

	Colors(255,255,255)

	Transparency(i)

	Colors(255,255,255)
	Image(tex01,200,60)

	'Displays the interface (FPS and triangles)
	Interface()

	'End the scene
	EndScene()
	
Wend

'Ends Ninfa3D Engine
EndEngine()